Bug#372186: grub2: powerpc version depends on ofpathname

Roger Leigh rleigh at debian.org
Thu Jun 8 18:39:39 UTC 2006

Package: grub2
Version: 1.94-1
Severity: normal

grub-install depends on the utility "ofpathname" in powerpc-utils

This is not the same as the powerpc-utils in Debian, and it is
licensed under the IBM Common Public License.  It's not clear
if this is DFSG-free (I asked on -legal).

This might be substituted with the "ofpath" utility which is
part of yaboot, but they are completely independent
implementations which are not completely identical.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux
Locale: LANG=en_GB.UTF8, LC_CTYPE=en_GB.UTF8 (charmap=UTF-8)

Versions of packages grub2 depends on:
ii  libc6                         2.3.6-13   GNU C Library: Shared libraries
ii  libncurses5                   5.5-2      Shared libraries for terminal hand

grub2 recommends no packages.

-- no debconf information

More information about the Pkg-grub-devel mailing list